import { RouterType } from "@/types";
import React from "react";

const tabLeftArr: RouterType = [
  {
    id: 1,
    name: "内容发布",
    son: [
      {
        id: 200,
        name: "图书管理",
        path: "/",
        Com: React.lazy(() => import("../A1manage")),
      },
      {
        id: 300,
        name: "图书分类",
        path: "/classify",
        Com: React.lazy(() => import("../A2classify")),
      },
      {
        id: 400,
        name: "图书推荐",
        path: "/recommend",
        Com: React.lazy(() => import("../A3recommend")),
      },
      {
        id: 500,
        name: "平台用户",
        path: "/iosUser",
        Com: React.lazy(() => import("../A4iosUser")),
      },
      {
        id: 900,
        name: "图书审核",
        path: "/bookAudit",
        Com: React.lazy(() => import("../A5bookAudit")),
      },
      {
        id: 600,
        name: "评论审核",
        path: "/remarkAudit",
        Com: React.lazy(() => import("../A6remarkAudit")),
      },
      {
        id: 700,
        name: "视频管理",
        path: "/video",
        Com: React.lazy(() => import("../A7video")),
      },
      {
        id: 800,
        name: "公告管理",
        path: "/notice",
        Com: React.lazy(() => import("../A8notice")),
      },
    ],
  },

  {
    id: 4,
    name: "系统设置",
    son: [
      {
        id: 2100,
        name: "后台用户",
        path: "/user",
        Com: React.lazy(() => import("../Z1user")),
      },
      {
        id: 2200,
        name: "系统日志",
        path: "/log",
        Com: React.lazy(() => import("../Z2log")),
      },
    ],
  },
];

export default tabLeftArr;
